{% extends "base.html" %}
{% load static %}
{% block title %}Contact Me{% endblock %}
{% block style %}
    <link href="{% static 'comment/css/comment.css' %}" rel="stylesheet">
{% endblock %}
{% block content %}

<main class="container py-5">
    <h2 class="h1-responsive mb-5 mt-3 section-title">Write Your Comments :D</h2>

    <div class="d-flex justify-content-center">
        <div>
            <div class="sub_msg_like_box text-center">
                <h3>{{ likes }}</h3>
                <p class="sub_msg_like_box_desc">
                    {% if likes > 1 %}
                        Likes
                    {% else %}
                        Like
                    {% endif %}
                </p>
            </div>

            <form action="{% url 'comment:like' %}" method="POST">
                {% csrf_token %}
                <button type="submit" class = "btn btn-pink btn-block btn-rounded z-depth-1">
                    LIKE
                </button>
            </form>  
                
            <p>
                {% if likes > 0 %}
                    {% for lk in first3likes %} 
                        {{ lk.username }}, 
                    {% endfor %}
                    {% if restlike >= 1 %}
                        dan {{ restlike }} orang lainnya
                    {% endif %}
                    menyukai website ini.
                {% endif %}    
            </p>
        </div>
    </div>
    <h4 class = "h4-responsive">{{ total_cmnt }} Comment(s)</h4>
    <!-- <div class="md-form">
        <textarea id="form7" class="md-textarea form-control" rows="3"></textarea>
        
    </div> -->
    <form action="{% url 'comment:comment_create' %}" method="POST" class="sub_msg_comment">
        {% csrf_token %}
        <div class = "md-form">
            {% for field in form.visible_fields %}
                {{ field }}
            {% endfor %}
            <label for="id_comment">Add your Comment Here</label>
        </div>
        <button type="submit" class = "btn btn-blue btn-block btn-rounded z-depth-1">Add!</button>
    </form>

        {% for comment in cmnt %}
                <!-- <div class="sub_msg_thecomment_reply" id="{{comment.created_at}}"> 
                <div class="targetreplying" id="replybox{{comment.created_at}}">
                <div class="sub_msg_thecomment_reply_commentsection_content_wrapper" id="sembunyikan{{comment.created_at}}">
                <div class="canceled_reply" id="canceled{{comment.created_at}}">
                <div class="sub_msg_thecomment_reply_commentsection_title cf"> -->
                <div class="card mb-4">
                    <div class="card-header">
                        <p class = "time-stamp m-0"><strong>{{ comment.author.username }}</strong> commented on {{ comment.created_at }}</p>
                    </div>
                    <div class="card-body">
                        <p class="card-text">{{ comment.comment }}</p>
                    </div>
                </div>

                    <!-- <h6>{{ comment.author.username }}</h6>
                    <span>{{ comment.created_at }}</span>
                </div>
                <p>{{ comment.comment }}</p>
                <p class="replybox"><a href="#replybox{{comment.created_at}}">Balas</a></p>
                <form method="POST" action="{% url 'comment:reply_create' comment_id=comment.id %}" class="sub_msg_thecomment_reply_replysection_button cf">
                        {% csrf_token %}
                    <div>
                            {% for field in reply_form.visible_fields %}
                            {{ field }}
                        {% endfor %}
                        <button type="submit" method="POST" class="reply_me">Balas</button>
                        <p class="batal"><a href="#canceled{{comment.created_at}}">Batal</a></p>
                    </div> -->
                
                <!-- reply content section -->
                <!-- </form>
                <p class="lihat_balasan"><a href="#{{comment.created_at}}" >lihat balasan</a></p>
                <p class="sembunyikan_balasan"><a href="#sembunyikan{{comment.created_at}}">sembunyikan balasan</a></p>
                <div class="sub_msg_thecomment_reply_commentsection_content">
                    <p class="balasan">Balasan:</p>
                    {% for reply in comment.replies.all %}
                    <div>
                        {{ reply.reply_live }} oleh <span class="reply_author">{{ reply.author.username }}</span> pada {{reply.created_at}}
                    </div>
                    {% endfor %}
                </div>
                </div>
                </div>
                </div>
            </div> -->
            
        {% endfor %}
    </main>

    <!--Section: contact-->
    <section id="contact" class="py-5">

        <div class="container">

        <div class="connect-box">
            <h2 class="h1-responsive mb-5 mt-3 section-title white-text">Contact Me</h2>

            <div class="ml-3">
            <div class="row d-flex justify-content-center">
                <i class="col-2 fa fa-phone fa-2x white-text"></i>
                <p class = "col-8 white-text">+6281381472780</p>
            </div>

            <div class="row d-flex justify-content-center">
                <i class="col-2 fa fa-envelope fa-2x white-text"></i>
                <p class = "col-8 white-text">jonathantolhas@gmail.com</p>
            </div>

            <div class="row d-flex justify-content-center">
                <i class="col-2 fa fa-map-marker fa-2x white-text"></i>
                <p class = "col-8 white-text">Jalan Alam Asri III No. 21, Pondok
                    Pinang, Kebayoran Lama, Jakarta
                    Selatan, DKI Jakarta, Indonesia
                </p>
            </div>
            </div>
        </div>
        </div>
    </section>
    <!--Section: contact-->

{% endblock %}